Skip to main content
POST
/
public_internet_gateways
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const publicInternetGateway = await client.publicInternetGateways.create();

console.log(publicInternetGateway.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
public_internet_gateway = client.public_internet_gateways.create()
print(public_internet_gateway.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
publicInternetGateway, err := client.PublicInternetGateways.New(context.TODO(), telnyx.PublicInternetGatewayNewParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", publicInternetGateway.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.publicinternetgateways.PublicInternetGatewayCreateParams;
import com.telnyx.sdk.models.publicinternetgateways.PublicInternetGatewayCreateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

PublicInternetGatewayCreateResponse publicInternetGateway = client.publicInternetGateways().create();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

public_internet_gateway = telnyx.public_internet_gateways.create

puts(public_internet_gateway)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$publicInternetGateway = $client->publicInternetGateways->create(
name: 'test interface',
networkID: '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
regionCode: 'ashburn-va',
);

var_dump($publicInternetGateway);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx public-internet-gateways create \
--api-key 'My API Key'
curl --request POST \
--url https://api.telnyx.com/v2/public_internet_gateways \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"name": "test interface",
"region_code": "ashburn-va"
}
'
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "record_type": "public_internet_gateway",
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z",
    "network_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "name": "test interface",
    "status": "provisioned",
    "region_code": "ashburn-va",
    "public_ip": "127.0.0.1"
  }
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
network_id
string<uuid>

The id of the network associated with the interface.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

name
string

A user specified name for the interface.

Example:

"test interface"

region_code
string

The region interface is deployed to.

Example:

"ashburn-va"

Response

Successful response

data
PublicInternetGateway · object